Package be.e_contract.ejsf.component.announcement

# Class AnnouncementVersionsComponent

java.lang.Object
javax.faces.component.UIComponent
javax.faces.component.UIComponentBase
javax.faces.component.UIData
be.e_contract.ejsf.component.announcement.AnnouncementVersionsComponent

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.NamingContainer`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.component.TransientStateHolder`, `javax.faces.component.UniqueIdVendor`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListenerHolder`

public class AnnouncementVersionsComponent extends javax.faces.component.UIData

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_FAMILY`
`static final String`
`COMPONENT_TYPE`

### Fields inherited from class javax.faces.component.UIComponent

`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

### Fields inherited from interface javax.faces.component.NamingContainer

`SEPARATOR_CHAR`

## Constructor Summary

Constructors
Constructor
Description
`AnnouncementVersionsComponent()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFamily()`
`Integer`
`getOldestVersion()`
`String`
`getOrder()`
`Object`
`getValue()`
`void`
`setOldestVersion(Integer oldestVersion)`
`void`
`setOrder(String order)`

### Methods inherited from class javax.faces.component.UIData

`broadcast, createUniqueId, encodeBegin, getClientId, getDataModel, getFirst, getFooter, getHeader, getRowCount, getRowData, getRowIndex, getRows, getVar, invokeOnComponent, isRowAvailable, isRowStatePreserved, markInitialState, processDecodes, processUpdates, processValidators, queueEvent, restoreState, saveState, setDataModel, setFirst, setFooter, setHeader, setRowIndex, setRows, setRowStatePreserved, setValue, setValueBinding, setValueExpression, setVar, visitTree`

### Methods inherited from class javax.faces.component.UIComponentBase

`addClientBehavior, addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

### Methods inherited from class javax.faces.component.UIComponent

`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COMPONENT_TYPE

public static final String COMPONENT_TYPE

See Also:
  - Constant Field Values

### COMPONENT_FAMILY

public static final String COMPONENT_FAMILY

See Also:
  - Constant Field Values

## Constructor Details

### AnnouncementVersionsComponent

public AnnouncementVersionsComponent()

## Method Details

### getFamily

public String getFamily()

Overrides:
  `getFamily` in class `javax.faces.component.UIData`

### getOldestVersion

public Integer getOldestVersion()

### setOldestVersion

public void setOldestVersion(Integer oldestVersion)

### getOrder

public String getOrder()

### setOrder

public void setOrder(String order)

### getValue

public Object getValue()

Overrides:
  `getValue` in class `javax.faces.component.UIData`